> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post driveimportv1driveimportv1importsupload

> Returns a Drive file upload URL with a matching file id.



## OpenAPI

````yaml /openapis/driveImport.json post /driveImport/v1/driveImport/v1/imports/upload
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: driveImport
    description: Lets you import files and manage imported files
paths:
  /driveImport/v1/driveImport/v1/imports/upload:
    post:
      tags:
        - driveImport
      description: Returns a Drive file upload URL with a matching file id.
      operationId: driveImport:v1.DriveImport.initiateUpload
      parameters:
        - name: domain
          in: query
          description: The G Suite domain
          required: true
          schema:
            type: string
        - name: libraryId
          in: query
          description: The ID of the library that is used during the import.
          required: true
          schema:
            type: string
        - name: classId
          in: query
          description: The ID of the document class that is used during the import.
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/securityCode_query_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiInitiateUploadRequest'
        required: true
      responses:
        '200':
          description: A ApiInitiateUploadResponse response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInitiateUploadResponse'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiInitiateUploadRequest:
      type: object
      properties:
        contentLengthInBytes:
          type: integer
          format: int32
        fileId:
          type: string
        kind:
          type: string
        mimeType:
          type: string
        name:
          type: string
    ApiInitiateUploadResponse:
      type: object
      properties:
        fileId:
          type: string
        kind:
          type: string
        uploadUrl:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````